summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDonnie Berkholz <dberkholz@gentoo.org>2008-08-25 17:10:36 +0000
committerDonnie Berkholz <dberkholz@gentoo.org>2008-08-25 17:10:36 +0000
commitb2a4c04af24f2efe719dbcb7b91a9a2ec4015397 (patch)
tree15d5d93e35e0be7cb97ff5983b4b3901831e77bb
parentadd ~x86, bug #235675 (diff)
downloadhistorical-b2a4c04af24f2efe719dbcb7b91a9a2ec4015397.tar.gz
historical-b2a4c04af24f2efe719dbcb7b91a9a2ec4015397.tar.bz2
historical-b2a4c04af24f2efe719dbcb7b91a9a2ec4015397.zip
(#235629) Die if build succeeds but install fails.
-rw-r--r--eclass/x-modular.eclass5
1 files changed, 3 insertions, 2 deletions
diff --git a/eclass/x-modular.eclass b/eclass/x-modular.eclass
index 1a24aaa285ad..81cccf342882 100644
--- a/eclass/x-modular.eclass
+++ b/eclass/x-modular.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.101 2008/06/13 16:40:21 dberkholz Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.102 2008/08/25 17:10:36 dberkholz Exp $
#
# @ECLASS: x-modular.eclass
# @MAINTAINER:
@@ -395,7 +395,8 @@ x-modular_src_install() {
# Install everything to ${XDIR}
make \
DESTDIR="${D}" \
- install
+ install \
+ || die
# Shouldn't be necessary in XDIR=/usr
# einstall forces datadir, so we need to re-force it
# datadir=${XDIR}/share \